Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.criteria
Class Expressions.Between<Y extends Comparable<Y>>

    java.lang.Object
      org.apache.openjpa.persistence.criteria.SelectionImpl<X>
          org.apache.openjpa.persistence.criteria.ExpressionImpl<Boolean>
              org.apache.openjpa.persistence.criteria.PredicateImpl
                  org.apache.openjpa.persistence.criteria.PredicateImpl.And
                      org.apache.openjpa.persistence.criteria.Expressions.Between<Y>

All Implemented Interfaces:
  Expression<Boolean>, Predicate, Selection<Boolean>, TupleElement<Boolean>, CriteriaExpression

Enclosing class:
  Expressions

    public static class Expressions.Between<Y extends Comparable<Y>>

extends PredicateImpl.And

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.openjpa.persistence.criteria.PredicateImpl
`PredicateImpl.And, PredicateImpl.Or`

Nested classes/interfaces inherited from interface javax.persistence.criteria.Predicate
`Predicate.BooleanOperator`

Field Summary

Fields inherited from class org.apache.openjpa.persistence.criteria.PredicateImpl
`_exps`

Constructor Summary
`Expressions.Between(Expression<? extends Y> v, Expression<? extends Y> x, Expression<? extends Y> y)`
`Expressions.Between(Expression<? extends Y> v, Y x, Y y)`

Method Summary
`StringBuilder` | `asValue(AliasContext q)` Get a string representation of this node as a value in the context of the given query.

Methods inherited from class org.apache.openjpa.persistence.criteria.PredicateImpl
`acceptVisit, add, FALSE, getExpressions, getOperator, isEmpty, isNegated, markNegated, not, toKernelExpression, toValue, TRUE`

Methods inherited from class org.apache.openjpa.persistence.criteria.ExpressionImpl
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.apache.openjpa.persistence.criteria.SelectionImpl
`alias, asProjection, assertValidName, asVariable, getAlias, getCompoundSelectionItems, getJavaType, isAliased, isAutoAliased, isCompoundSelection, setAutoAlias`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Constructor Detail

### Expressions.Between

    public Expressions.Between(Expression<? extends Y> v,
                               Expression<? extends Y> x,
                               Expression<? extends Y> y)

### Expressions.Between

    public Expressions.Between(Expression<? extends Y> v,
                               Y x,
                               Y y)

Method Detail

### asValue

    public StringBuilder asValue(AliasContext q)

  Description copied from interface: `CriteriaExpression`
  Get a string representation of this node as a value in the context of the given query.

  Specified by:
    `asValue` in interface `CriteriaExpression`
  Overrides:
    `asValue` in class `PredicateImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.